--Useful for scaling things here. -Kid
local gat_width_ratio = SCREEN_WIDTH/640
local gat_height_ratio = SCREEN_HEIGHT/480
--For all non-zoomed things, applied a zoom of height ratio. -Kid
--For other things, I scaled pre-existing zooms. -Kid
return Def.ActorFrame{
  Name= "actor_qz",
  Def.Sprite{
    Name= "actor_rz",
    InitCommand= function(self) char_shame_dark1=self end,
    OnCommand= cmd(diffusealpha,0;zoom,gat_height_ratio),
    Texture= "darkcircle.png",
  },
  Def.Sprite{
    Name= "actor_sz",
    InitCommand= function(self) char_shame_dark2=self end,
    OnCommand= cmd(diffusealpha,0;zoom,gat_height_ratio),
    Texture= "darkcircle.png",
  },
  Def.Sprite{
    Name= "actor_tz",
    InitCommand= function(self) char_shame_dark3=self end,
    OnCommand= cmd(diffusealpha,0;zoom,gat_height_ratio),
    Texture= "darkcircle.png",
  },
  Def.Sprite{
    Name= "actor_uz",
    InitCommand= function(self) char_shame_dark4=self end,
    OnCommand= cmd(diffusealpha,0;zoom,gat_height_ratio),
    Texture= "darkcircle.png",
  },
  Def.Sprite{
    Name= "actor_vz",
    Frames= {
      {Frame= 0, Delay= 0.5},
      {Frame= 1, Delay= 0.125},
      {Frame= 0, Delay= 0.125},
      {Frame= 1, Delay= 0.125},
  },
    InitCommand= function(self) char_shame_clone1 = self end,
    OnCommand= cmd(diffusealpha,0;zoom,.6*gat_height_ratio),
    Texture= "shame/shame_idle 2x1.png",
  },
  Def.Sprite{
    Name= "actor_wz",
    Frames= {
      {Frame= 0, Delay= 0.5},
      {Frame= 1, Delay= 0.125},
      {Frame= 0, Delay= 0.125},
      {Frame= 1, Delay= 0.125},
  },
    InitCommand= function(self) char_shame_clone2 = self end,
    OnCommand= cmd(diffusealpha,0;zoom,.6*gat_height_ratio),
    Texture= "shame/shame_idle 2x1.png",
  },
  Def.Sprite{
    Name= "actor_xz",
    Frames= {
      {Frame= 0, Delay= 0.5},
      {Frame= 1, Delay= 0.125},
      {Frame= 0, Delay= 0.125},
      {Frame= 1, Delay= 0.125},
  },
    InitCommand= function(self) char_shame_clone3 = self end,
    OnCommand= cmd(diffusealpha,0;zoom,.6*gat_height_ratio),
    Texture= "shame/shame_idle 2x1.png",
  },
  Def.Sprite{
    Name= "actor_yz",
    Frames= {
      {Frame= 0, Delay= 0.5},
      {Frame= 1, Delay= 0.125},
      {Frame= 0, Delay= 0.125},
      {Frame= 1, Delay= 0.125},
  },
    InitCommand= function(self) char_shame_clone4 = self end,
    OnCommand= cmd(diffusealpha,0;zoom,.6*gat_height_ratio),
    Texture= "shame/shame_idle 2x1.png",
  },
  Def.ActorFrame{
    Name= "actor_zz",
    HideCommand= cmd(bouncebegin,0.2;zoomy,0;zoomx,3*gat_height_ratio),
    HideQCommand= cmd(zoomy,0;zoomx,3*gat_height_ratio),
    InitCommand= function (self) char_shame=self; self:bob();
	self:effectclock('music'); self:effectmagnitude(0,4,0); self:zoom(0); self:zoomx(3*gat_height_ratio) end,
    SpawnCommand= cmd(bounceend,0.3;zoom,gat_height_ratio),
    SpawnQCommand= cmd(zoom,gat_height_ratio),
    Def.ActorFrame{
      Name= "actor_Az",
      OnCommand= cmd(zoom,0.9),
      Def.Sprite{
        Name= "actor_Bz",
        Frames= {
          {Frame= 0, Delay= 0.5},
          {Frame= 1, Delay= 0.125},
          {Frame= 0, Delay= 0.125},
          {Frame= 1, Delay= 0.125},
      },
        AttackCommand= cmd(diffusealpha,0),
        Cast2Command= cmd(diffusealpha,0),
        CastCommand= cmd(diffusealpha,0),
        HurtCommand= cmd(diffusealpha,0),
        IdleCommand= cmd(diffusealpha,1),
        OnCommand= cmd(diffusealpha,1),
        Texture= "shame/shame_idle 2x1.png",
      },
      Def.Sprite{
        Name= "actor_Cz",
        Frames= {
          {Frame= 0, Delay= 0.04},
          {Frame= 1, Delay= 0.04},
          {Frame= 2, Delay= 0.04},
          {Frame= 3, Delay= 0.04},
          {Frame= 4, Delay= 999},
      },
        AttackCommand= cmd(setstate,0;diffusealpha,1;zoom,1.1;linear,0.2;zoom,1),
        Cast2Command= cmd(diffusealpha,0),
        CastCommand= cmd(diffusealpha,0),
        HurtCommand= cmd(diffusealpha,0),
        IdleCommand= cmd(diffusealpha,0),
        OnCommand= cmd(diffusealpha,0),
        Texture= "shame/shame_attack 3x2.png",
      },
      Def.Sprite{
        Name= "actor_Dz",
        Frames= {
          {Frame= 0, Delay= 0.04},
          {Frame= 1, Delay= 0.04},
          {Frame= 2, Delay= 0.04},
          {Frame= 3, Delay= 0.04},
          {Frame= 4, Delay= 999},
      },
        AttackCommand= cmd(diffusealpha,0),
        Cast2Command= cmd(setstate,0;diffusealpha,1;zoom,1.1;linear,0.2;zoom,1),
        CastCommand= cmd(setstate,0;diffusealpha,1;zoom,1.1;linear,0.2;zoom,1),
        HurtCommand= cmd(diffusealpha,0),
        IdleCommand= cmd(diffusealpha,0),
        OnCommand= cmd(diffusealpha,0),
        Texture= "shame/shame_attack 3x2.png",
      },
      Def.Sprite{
        Name= "actor_Ez",
        Frames= {
          {Frame= 1, Delay= 999},
      },
        AttackCommand= cmd(diffusealpha,0),
        Cast2Command= cmd(diffusealpha,0),
        CastCommand= cmd(diffusealpha,0),
        HurtCommand= cmd(vibrate;diffusealpha,1;sleep,0.3;queuecommand,"StopVib"),
        IdleCommand= cmd(diffusealpha,0),
        OnCommand= cmd(diffusealpha,0),
        StopVibCommand= cmd(stopeffect),
        Texture= "shame/shame_idle 2x1.png",
      },
      Def.ActorFrame{
        Name= "actor_Fz",
        OnCommand= cmd(zoom,2.5;spin;effectmagnitude,0,0,90),
        Def.Sprite{
          Name= "actor_aA",
          CastCommand= function (self)
				self:queuemessage('BloodSplatter');
				self:zoom(1.1);
				self:linear(0.8);
				self:diffusealpha(1);
				self:linear(1);
				self:zoom(0.7);
				self:linear(0.8);
				self:diffusealpha(0);
			end,
          OnCommand= cmd(blend,"BlendMode_Add";diffusealpha,0;diffuseshift;effectcolor1,color('0,.6,0,1');effectcolor2,color('.6,0,0,1');effectperiod,0.25),
          Texture= "casting.png",
        },
      },
      Def.ActorFrame{
        Name= "actor_bA",
        CastCommand= function(self) self:playcommand('Inner'); chara_drand = math.random(0,360);
		chara_dspd = (math.random(0,600)/100)-3; self:playcommand('Turn') end,
        TurnCommand= cmd(rotationz,chara_drand;
		linear,0.1;rotationz,chara_drand+(60*chara_dspd);
		linear,0.1;rotationz,chara_drand+(110*chara_dspd);
		linear,0.1;rotationz,chara_drand+(150*chara_dspd);
		linear,0.1;rotationz,chara_drand+(180*chara_dspd);
		linear,0.2;rotationz,chara_drand+(200*chara_dspd);
		linear,1.0;rotationz,chara_drand+(350*chara_dspd);
		linear,0.2;rotationz,chara_drand+(370*chara_dspd);
		linear,0.2;rotationz,chara_drand+(400*chara_dspd);
		linear,0.2;rotationz,chara_drand+(440*chara_dspd);
		linear,0.2;rotationz,chara_drand+(490*chara_dspd);
		linear,0.2;rotationz,chara_drand+(550*chara_dspd)),
        Def.Sprite{
          Name= "actor_cA",
          InnerCommand= cmd(zoomx,0.6*0;zoomy,20;diffusealpha,0;linear,0.5;diffusealpha,1;zoomx,0.6*20;linear,1.5;
		zoomx,0.6*40;linear,0.8;zoomx,0.6*0;sleep,0;diffusealpha,0),
          OnCommand= cmd(vertalign,top;blend,"BlendMode_Add";diffusealpha,0;fadetop,0.2;fadebottom,0.2;
		diffuseblink;effectcolor1,color('0,.6,0,0.3');effectcolor2,color('0,.6,0,1');effectperiod,0.066),
          Texture= "triangle.png",
        },
      },
      Def.ActorFrame{
        Name= "actor_dA",
        CastCommand= function(self) self:playcommand('Inner'); chara_drand = math.random(0,360);
		chara_dspd = (math.random(0,600)/100)-3; self:playcommand('Turn') end,
        TurnCommand= cmd(rotationz,chara_drand;
		linear,0.1;rotationz,chara_drand+(60*chara_dspd);
		linear,0.1;rotationz,chara_drand+(110*chara_dspd);
		linear,0.1;rotationz,chara_drand+(150*chara_dspd);
		linear,0.1;rotationz,chara_drand+(180*chara_dspd);
		linear,0.2;rotationz,chara_drand+(200*chara_dspd);
		linear,1.0;rotationz,chara_drand+(350*chara_dspd);
		linear,0.2;rotationz,chara_drand+(370*chara_dspd);
		linear,0.2;rotationz,chara_drand+(400*chara_dspd);
		linear,0.2;rotationz,chara_drand+(440*chara_dspd);
		linear,0.2;rotationz,chara_drand+(490*chara_dspd);
		linear,0.2;rotationz,chara_drand+(550*chara_dspd)),
        Def.Sprite{
          Name= "actor_eA",
          InnerCommand= cmd(zoomx,0.6*0;zoomy,20;diffusealpha,0;linear,0.5;diffusealpha,1;zoomx,0.6*20;linear,1.5;
		zoomx,0.6*40;linear,0.8;zoomx,0.6*0;sleep,0;diffusealpha,0),
          OnCommand= cmd(vertalign,top;blend,"BlendMode_Add";diffusealpha,0;fadetop,0.2;fadebottom,0.2;
		diffuseblink;effectcolor1,color('.6,0,0,0.3');effectcolor2,color('.6,0,0,1');effectperiod,0.066),
          Texture= "triangle.png",
        },
      },
      Def.ActorFrame{
        Name= "actor_fA",
        CastCommand= function(self) self:playcommand('Inner'); chara_drand = math.random(0,360);
		chara_dspd = (math.random(0,600)/100)-3; self:playcommand('Turn') end,
        TurnCommand= cmd(rotationz,chara_drand;
		linear,0.1;rotationz,chara_drand+(60*chara_dspd);
		linear,0.1;rotationz,chara_drand+(110*chara_dspd);
		linear,0.1;rotationz,chara_drand+(150*chara_dspd);
		linear,0.1;rotationz,chara_drand+(180*chara_dspd);
		linear,0.2;rotationz,chara_drand+(200*chara_dspd);
		linear,1.0;rotationz,chara_drand+(350*chara_dspd);
		linear,0.2;rotationz,chara_drand+(370*chara_dspd);
		linear,0.2;rotationz,chara_drand+(400*chara_dspd);
		linear,0.2;rotationz,chara_drand+(440*chara_dspd);
		linear,0.2;rotationz,chara_drand+(490*chara_dspd);
		linear,0.2;rotationz,chara_drand+(550*chara_dspd)),
        Def.Sprite{
          Name= "actor_gA",
          InnerCommand= cmd(zoomx,0.6*0;zoomy,20;diffusealpha,0;linear,0.5;diffusealpha,1;zoomx,0.6*20;linear,1.5;
		zoomx,0.6*40;linear,0.8;zoomx,0.6*0;sleep,0;diffusealpha,0),
          OnCommand= cmd(vertalign,top;blend,"BlendMode_Add";diffusealpha,0;fadetop,0.2;fadebottom,0.2;
		diffuseblink;effectcolor1,color('0,.6,0,0.3');effectcolor2,color('0,.6,0,1');effectperiod,0.066),
          Texture= "triangle.png",
        },
      },
      Def.ActorFrame{
        Name= "actor_hA",
        CastCommand= function(self) self:playcommand('Inner'); chara_drand = math.random(0,360);
		chara_dspd = (math.random(0,600)/100)-3; self:playcommand('Turn') end,
        TurnCommand= cmd(rotationz,chara_drand;
		linear,0.1;rotationz,chara_drand+(60*chara_dspd);
		linear,0.1;rotationz,chara_drand+(110*chara_dspd);
		linear,0.1;rotationz,chara_drand+(150*chara_dspd);
		linear,0.1;rotationz,chara_drand+(180*chara_dspd);
		linear,0.2;rotationz,chara_drand+(200*chara_dspd);
		linear,1.0;rotationz,chara_drand+(350*chara_dspd);
		linear,0.2;rotationz,chara_drand+(370*chara_dspd);
		linear,0.2;rotationz,chara_drand+(400*chara_dspd);
		linear,0.2;rotationz,chara_drand+(440*chara_dspd);
		linear,0.2;rotationz,chara_drand+(490*chara_dspd);
		linear,0.2;rotationz,chara_drand+(550*chara_dspd)),
        Def.Sprite{
          Name= "actor_iA",
          InnerCommand= cmd(zoomx,0.6*0;zoomy,20;diffusealpha,0;linear,0.5;diffusealpha,1;zoomx,0.6*20;linear,1.5;
		zoomx,0.6*40;linear,0.8;zoomx,0.6*0;sleep,0;diffusealpha,0),
          OnCommand= cmd(vertalign,top;blend,"BlendMode_Add";diffusealpha,0;fadetop,0.2;fadebottom,0.2;
		diffuseblink;effectcolor1,color('.6,0,0,0.3');effectcolor2,color('.6,0,0,1');effectperiod,0.066),
          Texture= "triangle.png",
        },
      },
    },
  },
  --For all the ink, scaled zoom and position. -Kid
  Def.Sprite{
    Name= "actor_jA",
    BloodSplatterMessageCommand= cmd(x,SCREEN_CENTER_X-220*gat_width_ratio;y,SCREEN_CENTER_Y-120*gat_height_ratio;zoom,gat_height_ratio;diffusealpha,0;
	sleep,-101.455+101.455;diffusealpha,.6;sleep,1.5;linear,1;diffusealpha,0),
    OnCommand= cmd(diffuse,color('.5,0,0,0')),
    Texture= "shame/ink3.png",
  },
  Def.Sprite{
    Name= "actor_kA",
    BloodSplatterMessageCommand= cmd(x,SCREEN_CENTER_X+200*gat_width_ratio;y,SCREEN_CENTER_Y+180*gat_height_ratio;zoom,0.5*gat_height_ratio;diffusealpha,0;
	sleep,-101.455+101.545;diffusealpha,.6;sleep,1.5;linear,1;diffusealpha,0),
    OnCommand= cmd(diffuse,color('.5,0,0,0')),
    Texture= "shame/ink2.png",
  },
  Def.Sprite{
    Name= "actor_lA",
    BloodSplatterMessageCommand= cmd(x,SCREEN_CENTER_X-200*gat_width_ratio;y,SCREEN_CENTER_Y;zoom,gat_height_ratio;diffusealpha,0;
	sleep,-101.455+101.636;diffusealpha,.6;sleep,1.5;linear,0.9;diffusealpha,0),
    OnCommand= cmd(diffuse,color('.5,0,0,0')),
    Texture= "shame/ink3.png",
  },
  Def.Sprite{
    Name= "actor_mA",
    BloodSplatterMessageCommand= cmd(x,SCREEN_CENTER_X-70*gat_width_ratio;y,SCREEN_CENTER_Y+150*gat_height_ratio;zoom,gat_height_ratio;diffusealpha,0;
	sleep,-101.455+101.727;diffusealpha,.6;sleep,1.5;linear,0.8;diffusealpha,0),
    OnCommand= cmd(diffuse,color('.5,0,0,0')),
    Texture= "shame/ink4.png",
  },
  Def.Sprite{
    Name= "actor_nA",
    BloodSplatterMessageCommand= cmd(x,SCREEN_CENTER_X+180*gat_width_ratio;y,SCREEN_CENTER_Y+40*gat_height_ratio;zoom,gat_height_ratio;diffusealpha,0;rotationz,-90;
	sleep,-101.455+101.727;diffusealpha,.6;sleep,1.5;linear,0.8;diffusealpha,0),
    OnCommand= cmd(diffuse,color('.5,0,0,0')),
    Texture= "shame/ink4.png",
  },
  Def.Sprite{
    Name= "actor_oA",
    BloodSplatterMessageCommand= cmd(x,SCREEN_CENTER_X+200*gat_width_ratio;y,SCREEN_CENTER_Y-50*gat_height_ratio;zoom,gat_height_ratio;diffusealpha,0;rotationz,-25;
	sleep,-101.455+101.818;diffusealpha,.6;sleep,1.5;linear,0.7;diffusealpha,0),
    OnCommand= cmd(diffuse,color('.5,0,0,0')),
    Texture= "shame/ink1.png",
  },
  Def.Sprite{
    Name= "actor_pA",
    BloodSplatterMessageCommand= cmd(x,SCREEN_CENTER_X-150*gat_width_ratio;y,SCREEN_CENTER_Y-50*gat_height_ratio;zoom,0.5*gat_height_ratio;diffusealpha,0;rotationz,60;
	sleep,-101.455+101.909;diffusealpha,.6;sleep,1.5;linear,0.6;diffusealpha,0),
    OnCommand= cmd(diffuse,color('.5,0,0,0')),
    Texture= "shame/ink2.png",
  },
  Def.Sprite{
    Name= "actor_qA",
    BloodSplatterMessageCommand= cmd(x,SCREEN_CENTER_X+110*gat_width_ratio;y,SCREEN_CENTER_Y+100*gat_height_ratio;zoom,gat_height_ratio;diffusealpha,0;rotationz,45;
	sleep,-101.455+102.000;diffusealpha,.6;sleep,1.5;linear,0.5;diffusealpha,0),
    OnCommand= cmd(diffuse,color('.5,0,0,0')),
    Texture= "shame/ink3.png",
  },
  Def.Sprite{
    Name= "actor_rA",
    BloodSplatterMessageCommand= cmd(x,SCREEN_CENTER_X+70*gat_width_ratio;y,SCREEN_CENTER_Y-130*gat_height_ratio;zoom,gat_height_ratio;diffusealpha,0;rotationz,-45;
	sleep,-101.455+102.091;diffusealpha,.6;sleep,1.5;linear,0.4;diffusealpha,0),
    OnCommand= cmd(diffuse,color('.5,0,0,0')),
    Texture= "shame/ink4.png",
  },
  Def.Sprite{
    Name= "actor_sA",
    BloodSplatterMessageCommand= cmd(x,SCREEN_CENTER_X-87*gat_width_ratio;y,SCREEN_CENTER_Y-95*gat_height_ratio;zoom,gat_height_ratio;diffusealpha,0;
	sleep,-101.455+102.182;diffusealpha,.6;sleep,1.5;linear,0.3;diffusealpha,0),
    OnCommand= cmd(diffuse,color('.5,0,0,0')),
    Texture= "shame/ink1.png",
  },
  Def.Sprite{
    Name= "actor_tA",
    BloodSplatterMessageCommand= cmd(x,SCREEN_CENTER_X-140*gat_width_ratio;y,SCREEN_CENTER_Y+123*gat_height_ratio;zoom,0.5*gat_height_ratio;diffusealpha,0;
	sleep,-101.455+102.273;diffusealpha,.6;sleep,1.5;linear,0.2;diffusealpha,0),
    OnCommand= cmd(diffuse,color('.5,0,0,0')),
    Texture= "shame/ink2.png",
  },
}
